
HELP_ApiMethods = {
    'addSingleSelectField' : """
Synopsis:
        addSingleSelectField  options 
                            
Optional options:
        trackerId:
             Specifies which tracker this field is added to. If not provided,  
             trackerId from current Tracker context will be used automatically.
        
Required options:
        fieldName:
             What name to call this field. It is a string of (what restrictions
             apply to field name ?).

        isRequired:
            Whether this field is required. Valid values are True | False.

        isDisabled:

        isHiddenOnCreate:

        fieldValues (

        defaultValue:

Examples:
    Adding a field called "Colors":
        addSingleSelectField proj1100 Colors true false false "red blue green" red

See Also:
    """,

    'Api method' : """
Synopsis:
Optional options:
Required options:
Examples:
See Also:
    """,
}

HELP_SoapData = {
    'DateTime' : """
    help on DataTime
    """,

    'SoapFilter' : """
    help om SoapFilter
    """,

    'TrackerFieldSoapDO' : """
    help on TrackerFieldSoapDO
    """,

    'SoapNamedValues' : """
    This complex datatype is specified on command line as two list"
    Examples:
        "['a', 'b'], [1, 2]"

    Used by createComponent as "attributes" argument.
    """,

    'ArrayOf_xsd_string' : """
    An array of strings. On command line, it is given as space delimited strings in quotes.

    For Example:
        weekdays : "Mon Tue Wed Thu Fri Sat Sun"
        colors   : "red green blue yellow black"
    """,
}
